RDKit: RDKit::MarvinReaction Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::MarvinReaction Class Reference

`#include <MarvinDefs.h>`

## Public Member Functions
| ~MarvinReaction ()
void | prepSgroupsForRDKit ()
std::string | toString ()
ptree | toPtree () const

## Public Attributes
std::vector< std::unique_ptr< MarvinMol > > | reactants
std::vector< std::unique_ptr< MarvinMol > > | agents
std::vector< std::unique_ptr< MarvinMol > > | products
MarvinArrow | arrow
std::vector< std::unique_ptr< MarvinPlus > > | pluses
std::vector< std::unique_ptr< MarvinCondition > > | conditions

## Detailed Description

Definition at line 589 of file MarvinDefs.h.

## Constructor & Destructor Documentation

## ◆ ~MarvinReaction()

RDKit::MarvinReaction::~MarvinReaction | ( |  | ) |

## Member Function Documentation

## ◆ prepSgroupsForRDKit()

void RDKit::MarvinReaction::prepSgroupsForRDKit | ( |  | ) |

## ◆ toPtree()

ptree RDKit::MarvinReaction::toPtree | ( |  | ) | const

## ◆ toString()

std::string RDKit::MarvinReaction::toString | ( |  | ) |

## Member Data Documentation

## ◆ agents

std::vector<std::unique_ptr<MarvinMol> > RDKit::MarvinReaction::agents

Definition at line 592 of file MarvinDefs.h.

## ◆ arrow

MarvinArrow RDKit::MarvinReaction::arrow

Definition at line 595 of file MarvinDefs.h.

## ◆ conditions

std::vector<std::unique_ptr<MarvinCondition> > RDKit::MarvinReaction::conditions

Definition at line 597 of file MarvinDefs.h.

## ◆ pluses

std::vector<std::unique_ptr<MarvinPlus> > RDKit::MarvinReaction::pluses

Definition at line 596 of file MarvinDefs.h.

## ◆ products

std::vector<std::unique_ptr<MarvinMol> > RDKit::MarvinReaction::products

Definition at line 593 of file MarvinDefs.h.

## ◆ reactants

std::vector<std::unique_ptr<MarvinMol> > RDKit::MarvinReaction::reactants

Definition at line 591 of file MarvinDefs.h.

The documentation for this class was generated from the following file:

- MarvinDefs.h